Bug 44979

Summary: build-webkit: Add support for CMake build system
Product: WebKit Reporter: Leandro Pereira <leandro>
Component: New BugsAssignee: Leandro Pereira <leandro>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, darin, kenneth, mrobinson, paroga, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: OS X 10.5   
Attachments:
Description Flags
Patch
none
Patch none

Description Leandro Pereira 2010-08-31 13:40:03 PDT
build-webkit: Add support for CMake build system
Comment 1 Leandro Pereira 2010-08-31 13:42:30 PDT
Created attachment 66096 [details]
Patch
Comment 2 Patrick R. Gansterer 2010-08-31 13:56:04 PDT
I think you should also use cmake to build the files.
This enables other port (with no make, eg. VisualStudio) to use buildCMakeProject too.
Comment 3 Leandro Pereira 2010-08-31 14:07:57 PDT
(In reply to comment #2)
> I think you should also use cmake to build the files.
> This enables other port (with no make, eg. VisualStudio) to use 
> buildCMakeProject too.

OK, that's a good idea. I'll just wait for some reviewer to point out anything else I should take care of and submit another patch fixing everything in one go.
Comment 4 Antonio Gomes 2010-09-08 15:29:43 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > I think you should also use cmake to build the files.
> > This enables other port (with no make, eg. VisualStudio) to use 
> > buildCMakeProject too.
> 
> OK, that's a good idea. I'll just wait for some reviewer to point out anything else I should take care of and submit another patch fixing everything in one go.

Please, if you are going to submit a new patch with new contents anyways, please do it.
Comment 5 Kenneth Rohde Christiansen 2010-09-13 00:09:40 PDT
Looks fine to me. Darin can you have a look at the perl code?
Comment 6 Zoltan Horvath 2010-09-13 00:44:50 PDT
It looks okay for me.
Comment 7 Darin Adler 2010-09-13 08:21:13 PDT
Comment on attachment 66096 [details]
Patch

Seems fine.

I am sad to see all these options where you have to say what port to build, but I guess that battle was lost long ago.
Comment 8 Leandro Pereira 2010-09-14 05:43:29 PDT
Comment on attachment 66096 [details]
Patch

Forgot to cq? the patch :)
Comment 9 WebKit Commit Bot 2010-09-14 06:47:20 PDT
Comment on attachment 66096 [details]
Patch

Rejecting patch 66096 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 1
Parsed 3 diffs from patch file(s).
patching file WebKitTools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebKitTools/Scripts/build-webkit
Hunk #1 succeeded at 106 (offset 1 line).
Hunk #2 FAILED at 247.
Hunk #3 succeeded at 432 (offset 8 lines).
1 out of 3 hunks FAILED -- saving rejects to file WebKitTools/Scripts/build-webkit.rej
patching file WebKitTools/Scripts/webkitdirs.pm
Hunk #1 succeeded at 1408 (offset 1 line).

Full output: http://queues.webkit.org/results/4019005
Comment 10 Leandro Pereira 2010-09-20 16:15:56 PDT
Created attachment 68152 [details]
Patch
Comment 11 Leandro Pereira 2010-09-20 16:16:50 PDT
Comment on attachment 68152 [details]
Patch

This patch has been already reviewed bug failed to apply. Submitting a new version.
Comment 12 WebKit Commit Bot 2010-09-20 19:07:27 PDT
Comment on attachment 68152 [details]
Patch

Clearing flags on attachment: 68152

Committed r67911: <http://trac.webkit.org/changeset/67911>
Comment 13 WebKit Commit Bot 2010-09-20 19:07:33 PDT
All reviewed patches have been landed.  Closing bug.